Summary: Ensures program compatibility with GNUstep/OPENSTEP.
Name: libPropList
Version: 0.10.1
Release: 7m
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.windowmaker.org/pub/libs/libPropList-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: flex
NoSource: 0

%description
The libPropList library uses an opaque data type to represent a tree
structure made of strings, data blocks, arrays and dictionaries
(key-value pair lists). The tree structure can be manipulated, written
out to or read in from a file, and synchronized with the contents of a
file. LibPropList imitates the behavior of and is compatible with the
property lists used in GNUstep/OPENSTEP, which are formed with the
NSString, NSData, NSArray and NSDictionary classes.

LibPropList enables programs that use configuration or preference
files to make them compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without using Objective-C or GNUstep/OPENSTEP.

%prep 
%setup -q

%build
libtoolize -c -f
aclocal
autoconf
%configure
make

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/lib/libPropList.*
/usr/include/proplist.h

%ChangeLog
* Wed Jul 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.1-7m)
- BuildPreReq: flex

* Sat Feb 16 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.10.1-6k)
- fix typo.
  update Source0 URL.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Jun 25 2000 Toru Hoshina <t@kondara.org>
- version up.

* Thu Jun 08 2000 Trond Eivind Glomsrod <teg@redhat.com>
- use %%makeinstall and %%configure

* Tue Apr 04 2000 Trond Eivind Glomsrod <teg@redhat.com>
- version 0.10.1

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- version 0.9.1

* Sat Dec 11 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- packaged independently
